package ch.zhaw.projekt2.turnierverwaltung;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.mockito.Mockito;

public class TeamTest {

    private Team team;

    @Test
    @DisplayName("Team Params")
    void testParams() {
        Player player = Mockito.mock(Player.class);
        team = new Team("Team1");
        for (int i = 0; i < 3; i++) {
            Assertions.assertEquals(i,team.getPlayers().size());
            team.addPlayer(player);
        }
    }

    @Test
    @DisplayName("Team Equals")
    void equalTeam() {
        team = new Team("A");
        Assertions.assertTrue(team.equals(team));
        Assertions.assertTrue(team.equals(new Team("A")));
        Assertions.assertFalse(team.equals(new Team("B")));
    }
}
